Subject: Re: [bug#54392] [PATCH] gnu: cl-3bmd: Update to 4e08d82.

From: jgart <[email-masked]>
Date: Thu, 17 Mar 2022 10:57:54 -0400

On Thu, 17 Mar 2022 09:04:08 +0000 Guillaume Le Vaillant <[email-masked]> wrote:
> Patch pushed as a7b40dff2f03b070f848cd30833965541aa9bf7c with some
> modifications.
> By default asdf-build-system reads all the ".asd" files, so you don't
> have to specify the 'asd-files' or 'test-asd-file' parameters, unless
> there is a build failure with the default behavior (e.g. when there is
> a ".asd" file that must not be read, or if they must be read is
> a specific order).
> I also moved sbcl-fiasco fo 'native-inputs' as it is used only for
> testing.

Hi Guillaume,

Thanks for the review and merge and thanks for clarifying that for me
with the asdf-build-system.

PS

I've been trying to package mondo, a nice CL repl. Here's a discussion about
it with fukumachi:

https://github.com/fukamachi/mondo/issues/5

I have a branch here for mondo here:

https://git.sr.ht/~whereiseveryone/guixrus/tree/mondo/item/guixrus/packages/lisp.scm#L1226

I was trying to use the build-program function to produce the CLI executable but
no luck yet.

I'd like to send it to upstream but I'm a bit stuck. Do you happen to know
what I might be missing?

Any help/advice is much appreciated.

all best,

jgart